Customer Registration

Creates an AWS S3 integration.

POST /partner-integration/product-id/integration

Input ParametersInput Parameters

Parameter Name Mandatory/Optional Data Type Description
bucketName={value} Optional, if accessPointArn is provided. String Provide the name of the AWS S3 bucket being used for integration.
bucketRegion={value} Mandatory String Provide the region where the AWS S3 bucket is located.
accessPointArn = {value} Optional, if bucketName is provided. string

Provide the Access Point ARN. Steps to obtain this value are documented in step 4 of the AWS S3 Configuration.

When both bucketName and accessPointArn are set, the bucketName value is prioritized.

roleArn={value} Mandatory String Specify the ARN of the cross-account role which you created in your AWS account.
integrationType={value} Mandatory String Specify the type of integration. Provide the value “aws_s3”.

SampleSample

API Request

"curl -X POST""<qualys_gateway_url>/partner-integration/product-id/integration""-H""Authorization: Bearer <token>"	  
	  

Request Body

{
"integrationType": "aws_s3",
"bucketName": "qualys-fim-findings",
"bucketRegion": "us-east-2",
"roleArn": "arn:aws:iam::xxxxxxxxxxx:role/fim-role-rc"
}  

Response

{
"productName": "fim",
"integrationValidated": false
}